lp:ubuntu/raring-proposed/libcanberra

Created by Ubuntu Package Importer on 2012-11-29 and last modified on 2013-03-26
Get this branch:
bzr branch lp:ubuntu/raring-proposed/libcanberra
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

61. By Andrey Bondarenko on 2013-03-26

* debian/patches/10_no_nonnative_crash.patch:
  - applied upstream since version 0.29 (LP: #1075928)

60. By Iain Lane on 2012-11-29

[ Robert Ancell ]
* New upstream release (LP: #1057285)
* debian/control:
  - Add build-depends on libglib2.0-dev, libx11-dev
  - Replace build-depends on libgstreamer0.10-dev with libgstreamer1.0-dev
  - GTK+ -dev packages depend on libx11-dev
* debian/patches/11_link-against-x11.patch:
  - Applied upstream

[ Iain Lane ]
* Remove unnecessary BD on quilt
* Remove old 0.10 versioned restriction on gstreamer BD

59. By Jeremy Bicha on 2012-09-11

* debian/gnome-session-canberra.gsettings-override:
  - Dropped, override moved to ubuntu-default-settings

58. By Robert Ancell on 2012-05-24

* New upstream release.
* debian/control:
  - Use standards version 3.9.3
  - Drop build-depends on libgconf2-dev
* debian/libcanberra-gtk-module.install:
* debian/libcanberra-gtk3-module.install:
* debian/rules:
  - No longer install GConf schemas
* debian/watch:
  - Releases are now in .xz format

57. By Jeremy Bicha on 2012-04-05

* debian/patches/04_nodisplay_autostart.patch:
  - Re-add Oneiric patch to hide from "Startup Applications" now
    that the login sound is disabled by default anyway (LP: #803917)
* debian/patches/11_link-against-x11.patch:
  - Add missing link for libx11 (needed to build gnome-games
    from trunk)

56. By Steve Langasek on 2011-12-30

releasing version 0.28-3ubuntu2

55. By Steve Langasek on 2011-12-30

Move canberra-gtk-play from libcanberra-gtk0 to gnome-session-canberra,
since the latter is the only package which uses it; and make
gnome-session-canberra Architecture: any.

54. By Steve Langasek on 2011-12-30

* Build for multiarch.
* libcanberra-gtk-module and libcanberra-gtk3-module need hard-coded
  versioned dependencies on the minimum versions of gtk2/gtk3 that support
  lookups in the multiarch path.

53. By Jeremy Bicha on 2011-12-18

* Sync with Debian. Remaining changes:
* Set Ubuntu as default sound theme
* debian/control:
  - Added breaks/replace for libcanberra-gtk-dev to new package
    libcanberra-gtk-common-dev that took some of its files
  - Have libcanberra0 depend on sound-theme-freedesktop
  - Have gnome-session-canberra recommend libcanberra-pulse
* 01_link_canberra_play_with_gtk2.patch:
  - Dropped
* 02_disable_login_sound.patch:
  - Disable the login sound by default, since it seems to be more
    disruptive than helpful especially with faster boots
* 03_onlyshowin_unity.patch:
  - Add Unity to OnlyShowIn
* 10_no_nonnative_crash.patch:
  - trap BadWindow (and similar) X errors when calling XGetWindowProperty()
* 91-resolve-symbols.patch: Dropped, use Debian's patch instead

52. By Adam Conrad on 2011-12-02

No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/saucy/libcanberra
This branch contains Public information 
Everyone can see this information.

Subscribers